#include <iostream>
#include "list.h"
#include "lexer.h"
#include "reader.h"
#include "writer.h"
#include "treewindow.h"
#include "htmlwindow.h"
#include <QApplication>

using namespace std;

int main(int argc, char *argv[])
{
    List a;

    Lexer f ("../lexer06/abc.txt");
    Reader r (f);
    r.readList (a); // cti ze souboru

    a.print(); // vytiskni na obrazovku

    Writer w (cout);
    w.writeHtml (a); // vytiskni na obrazovky

    ofstream g ("output.html");
    Writer vw (g);
    vw.writeHtml (a); // uloz do souboru, do adresare kde je .exe

    QApplication appl (argc, argv);

    HtmlWindow another;
    another.show ();
    another.displayList (a);

    TreeWindow win;
    win.show(); // zobraz okno
    win.displayList (a);


    return appl.exec(); // a potom cekej az uzivatel uzavre okno
}
