#include "reader.h"
#include "lexer.h"
#include "list.h"
#include <string>

using namespace std;

void Reader::readItem (List & v)
{
    string name = f.readIdent ();
    Item * p = new Item (name);
    v.linkLast (p);

    if (f.kind == text)
        p->info = f.readText ();

    if (f.isSeparator('{'))
        readList (p->inner);
}

void Reader::readList (List & v)
{
    f.checkSeparator('{');
    if (! f.isSeparator('}'))
    {
        readItem (v);
        while (f.isSeparator (','))
        {
           f.nextToken (); // skip ','
           readItem (v);
        }
    }
    f.checkSeparator('}');

}
