#include "treewindow.h"
#include "ui_treewindow.h"
#include "list.h"

TreeWindow::TreeWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::TreeWindow)
{
    ui->setupUi(this);
}

TreeWindow::~TreeWindow()
{
    delete ui;
}

void TreeWindow::displayBranch (QTreeWidgetItem * target, List & v)
{
    Item * p = v.getFirst ();
    while (p != nullptr)
    {
        MyNode * node = new MyNode;
        node->setText (0, QString::fromStdString (p->name));
        node->info =  QString::fromStdString (p->info);
        target->addChild (node);
        displayBranch (node, p->inner);
        p = p->getNext( );
    }
}

void TreeWindow::displayList (List & v)
{
    displayBranch (ui->treeWidget->invisibleRootItem(), v);
    ui->treeWidget->expandAll ();
}

void TreeWindow::on_treeWidget_itemActivated(QTreeWidgetItem *item, int column)
{
    MyNode * node = dynamic_cast <MyNode*> (item);
    if (node != nullptr)
    {
        ui->webView->setUrl (node->info);
    }
}

void TreeWindow::on_treeWidget_itemChanged(QTreeWidgetItem *item, int column)
{
    on_treeWidget_itemActivated (item, column);

}

void TreeWindow::on_treeWidget_itemClicked(QTreeWidgetItem *item, int column)
{
  on_treeWidget_itemActivated (item, column);
}
